cc.funkemunky.api.tinyprotocol.api

## Class NMSObject.Type

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.NMSObject.Type

Enclosing class:
  NMSObject

    public static class NMSObject.Type
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `BASEBLOCKPOSITION`
`static java.lang.String` `BLOCKPOSITION`
`static java.lang.String` `CHATMESSAGE`
`static java.lang.String` `CRAFTITEMSTACK`
`static java.lang.String` `DATAWATCHER`
`static java.lang.String` `DATAWATCHEROBJECT`
`static java.lang.String` `ENTITY`
`static java.lang.String` `GAMEPROFILE`
`static java.lang.String` `ITEMSTACK`
`static java.lang.String` `PLAYERINFODATA`
`static java.lang.String` `PROPERTYMAP`
`static java.lang.String` `VEC3D`
`static java.lang.String` `WATCHABLE_OBJECT`

### Constructor Summary

Constructors
Constructor and Description
`Type()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WATCHABLE_OBJECT

    public static final java.lang.String WATCHABLE_OBJECT

#### BASEBLOCKPOSITION

    public static final java.lang.String BASEBLOCKPOSITION

See Also:
  Constant Field Values

#### BLOCKPOSITION

    public static final java.lang.String BLOCKPOSITION

See Also:
  Constant Field Values

#### ITEMSTACK

    public static final java.lang.String ITEMSTACK

#### ENTITY

    public static final java.lang.String ENTITY

#### DATAWATCHER

    public static final java.lang.String DATAWATCHER

#### DATAWATCHEROBJECT

    public static final java.lang.String DATAWATCHEROBJECT

#### CHATMESSAGE

    public static final java.lang.String CHATMESSAGE

#### CRAFTITEMSTACK

    public static final java.lang.String CRAFTITEMSTACK

#### GAMEPROFILE

    public static final java.lang.String GAMEPROFILE

#### PROPERTYMAP

    public static final java.lang.String PROPERTYMAP

#### VEC3D

    public static final java.lang.String VEC3D

#### PLAYERINFODATA

    public static final java.lang.String PLAYERINFODATA

### Constructor Detail

#### Type

    public Type()